diff --git a/include/share/win_utf8_io.h b/include/share/win_utf8_io.h
index abf9c41..f7080be 100644
--- a/include/share/win_utf8_io.h
+++ b/include/share/win_utf8_io.h
@@ -58,7 +58,7 @@ int unlink_utf8(const char *filename);
 int rename_utf8(const char *oldname, const char *newname);
 size_t strlen_utf8(const char *str);
 int win_get_console_width(void);
-int print_console(FILE *stream, const wchar_t *text, uint32_t len);
+int print_console(FILE *stream, const wchar_t *text, size_t len);
 HANDLE WINAPI CreateFile_utf8(const char *lpFileName, DWORD dwDesiredAccess, DWORD dwShareMode, LPSECURITY_ATTRIBUTES lpSecurityAttributes, DWORD dwCreationDisposition, DWORD dwFlagsAndAttributes, HANDLE hTemplateFile);
 
 #ifdef __cplusplus
diff --git a/src/share/win_utf8_io/win_utf8_io.c b/src/share/win_utf8_io/win_utf8_io.c
index 1c49c19..af9f7aa 100644
--- a/src/share/win_utf8_io/win_utf8_io.c
+++ b/src/share/win_utf8_io/win_utf8_io.c
@@ -40,9 +40,9 @@
 #include <stdlib.h>
 #include <string.h>
 #include <stdarg.h>
+#define WIN32_LEAN_AND_MEAN
 #include <windows.h> /* for WideCharToMultiByte and MultiByteToWideChar */
 
-#include "share/compat.h"
 #include "share/win_utf8_io.h"
 
 static UINT win_utf8_io_codepage = CP_ACP;
@@ -148,7 +148,7 @@ int win_get_console_width(void)
 
 /* print functions */
 
-int print_console(FILE *stream, const wchar_t *text, uint32_t len)
+int print_console(FILE *stream, const wchar_t *text, size_t len)
 {
 	static HANDLE hOut;
 	static HANDLE hErr;
